0:
  title: 00. За курса
  date: 2025-10-02
  url: https://speakerdeck.com/nikolads/programming-with-rust-at-fmi-2025

1:
  title: 01. Здравей, Rust
  date: 2025-10-07
  slug: 01-hello-rust/index.html?animations=false

2:
  title: 02. Присвояване, копиране, референции
  date: 2025-10-14
  slug: 02-references-strings-compound-types/index.html?animations=false

3:
  title: 03. Енумерации, съпоставяне на образци, итерация
  date: 2025-10-21
  slug: 03-struct-enums-pattern-matching/index.html?animations=false

4:
  title: 04. Generics & traits I
  date: 2025-10-28
  slug: 04-generics-traits/index.html?animations=false

5:
  title: 05. Generics & traits II
  date: 2025-11-04
  slug: 05-generics-traits-2/index.html?animations=false

6:
  title: 06. Справяне с грешки
  date: 2025-11-11
  slug: 06-error-handling/index.html?animations=false

7:
  title: 07. Lifetimes
  date: 2025-11-18
  slug: 07-lifetimes/index.html?animations=false

8:
  title: 08. Reference counting
  date: 2025-11-27
  slug: ./08-smart-pointers/index.html?animations=false

9:
  title: 09. Многонишково програмиране
  date: 2025-12-02
  slug: ./09-multithreading/index.html?animations=false

# 11:
#   title: 10. Работа с итератори
#   date: 2024-11-12
#   slug: 10-iterators/index.html?animations=false

# 12:
#   title: 11. Свързани списъци, част 1
#   date: 2024-11-14
#   slug: 11-too-many-linked-lists-part-1/index.html?animations=false

# 13:
#   title: 12. Свързани списъци, част 2
#   date: 2024-11-19
#   slug: 12-too-many-linked-lists-part-2/index.html?animations=false

# 14:
#   title: 13. Многонишково програмиране
#   date: 2024-11-21
#   slug: 13-multithreading/index.html?animations=false

# 15:
#   title: 14. Паралелно програмиране с rayon
#   date: 2024-11-26
#   slug: 14-rayon/index.html?animations=false

# 16:
#   title: 16. Конзолни приложения
#   date: 2024-12-03
#   slug: 16-cli/index.html?animations=false

# 17:
#   title: 17. Макроси
#   date: 2024-12-05
#   slug: 17-macros/index.html?animations=false

# 18:
#   title: 18. Асинхронно програмиране
#   date: 2024-12-10
#   slug: 18-async-await/index.html?animations=false

# 19:
#   title: 19. Работа със системни библиотеки
#   date: 2024-12-12
#   slug: 19-ffi/index.html?animations=false

# 20:
#   title: 20. Правене на игри с GGEZ
#   date: 2024-12-17
#   slug: 20-ggez/index.html?animations=false

# 21:
#   title: Графични (desktop) интерфейси
#   date: 2025-01-07
#   slug: 21-gui-iced-egui/index.html?animations=false

# 22:
#   title: Server-side Web
#   date: 2025-01-09
#   slug: 22-server-side-web/index.html?animations=false
